%define Name ProjectX
%define shortv %{version}
%define gcj_support 0
%define stable 0
%define subrel 1

Summary:        A free Java based MPEG demux utility
Name:           projectx
Version:        0.91.0
Release:        %mkrel 2
License:        GPLv2+
URL:            http://project-x.sourceforge.net/
%if %stable
Source0:        %{Name}_Source_eng_%{version}.tar.bz2
Source1:        %{Name}_LanguagePack_%{version}.zip
%else
# Every CVS push (usually) corresponds to a .bXX tag.
# Latest tag can be seen in the commit message and in
# http://project-x.sourceforge.net/update/update.txt
# cvs -d:pserver:anonymous@project-x.cvs.sourceforge.net:/cvsroot/project-x login 
# cvs -z3 -d:pserver:anonymous@project-x.cvs.sourceforge.net:/cvsroot/project-x co -P project-x
Source0:        %{name}-%{version}.zip
%endif
Group:          Video

Requires:       java >= 1.6
Requires:       jpackage-utils
Requires:       jakarta-commons-net
Requires:       jakarta-oro

BuildRequires:  java-devel
BuildRequires:  java-rpmbuild
BuildRequires:  jakarta-commons-net
BuildRequires:  jakarta-oro
BuildRequires:  imagemagick
BuildRequires:  dos2unix
BuildRequires:  desktop-file-utils
%if %{gcj_support}
BuildRequires:  java-gcj-compat-devel
%else
BuildArch:      noarch
%endif

%description
Converts, splits and demuxes DVB and other MPEG recordings.

%prep
%if %stable
%setup -q -n %{Name}_Source_%{shortv} -b 1
%else
%setup -q -n Project-X_%{version}
%endif
rm -rf lib
find -name CVS -type d -print0 | xargs -0 rm -rf
dos2unix htmls/*.html htmls/*/*.html

perl -pi -e 's,classpath [a-z0-9\.\/:-]*,classpath \$CLASSPATH,' build.sh
perl -pi -e 's,^javac ,%javac ,' build.sh

perl -pi -e 's,^jar ,%jar ,' build.sh

perl -pi -e 's,^Class-Path:.*\n,,' MANIFEST.MF

perl -pi -e 's,Icon=.*,Icon=%name,' %name.desktop
perl -pi -e 's,Exec=.*,Exec=%{_bindir}/%{name},' %name.desktop

perl -pi -e 's/\r$//g' *.txt

%build
export CLASSPATH=$(build-classpath commons-net oro)
sh -ex build.sh

%jar -i %Name.jar

%install
rm -rf %{buildroot}

install -d -m755 %{buildroot}%{_javadir}
install -m644 %{Name}.jar %{buildroot}%{_javadir}

%if %{gcj_support}
%{_bindir}/aot-compile-rpm
%endif

%jpackage_script net.sourceforge.dvb.projectx.common.Start %nil %nil %Name:commons-net:oro %name

install -D -m644 %name.desktop %{buildroot}%{_datadir}/applications/%name.desktop

install -d -m755 %{buildroot}%{_miconsdir}
install -d -m755 %{buildroot}%{_iconsdir}
install -d -m755 %{buildroot}%{_liconsdir}

# (Anssi) It is X :p
convert resources/close.gif -resize 16x16 %{buildroot}%{_miconsdir}/%{name}.png
convert resources/close.gif -resize 32x32 %{buildroot}%{_iconsdir}/%{name}.png
convert resources/close.gif -resize 48x48 %{buildroot}%{_liconsdir}/%{name}.png


desktop-file-install --vendor="" \
  --add-category="Java" \
  --add-category="AudioVideo" \
  --add-category="AudioVideoEditing" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

%clean
rm -rf %{buildroot}

%if %{gcj_support}
%post
%{update_gcjdb}
%endif

%if %{gcj_support}
%postun
%{clean_gcjdb}
%endif

%files
%defattr(0644,root,root,0755)
%doc ReadMe.txt htmls
%attr(0755,root,root) %{_bindir}/%{name}
%{_javadir}/%{Name}.jar
%if %{gcj_support}
%{_libdir}/gcj/%{name}
%endif
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_datadir}/applications/%{name}.desktop







%changelog

* Sun Sep 04 2011 obgr_seneca <obgr_seneca> 0.91.0-2.1.mga1
+ Revision: 138450
- new version 0.91.0
- cleaned up Mandriva version stuff from spec file

* Thu Apr 07 2011 ennael <ennael> 0.90.4.00.b32-1.mga1
+ Revision: 81935
- clean spec file
- disable gcj support
- imported package projectx

